<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>al.DDRS.Missions.RB.Patr</name>
<version>0</version>
<engineversion>30</engineversion>
<description>Patrol Base</description>
<arguments>
<argument index="1" name="Home" type="Var/Station" desc="Home" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Moveable&#160;Ship</var></line>
<line linenr="002" indent="&#160;"><text>return&#160;</text><var>null</var></line>
<line linenr="003" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;command:&#160;</text><var>COMMAND_KILL_ENEMIES</var></line>
<line linenr="004" indent=""><var>$This.Size&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="005" indent=""><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>1</var><text>&#160;to&#160;</text><var>101</var><text>&#160;-&#160;1</text></line>
<line linenr="006" indent=""><var>if&#160;</var><var>$Temp</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>27</var></line>
<line linenr="007" indent="&#160;"><var>while&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="008" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;sector&#160;</text><var>[SECTOR]</var></line>
<line linenr="009" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="010" indent="&#160;"><text>end</text></line>
<line linenr="011" indent=""><text>end</text></line>
<line linenr="012" indent=""></line>
<line linenr="013" indent=""><var>while&#160;</var><var>[TRUE]</var></line>
<line linenr="014" indent="&#160;"><var>if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="015" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="016" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>8000</var><text>&#160;to&#160;</text><var>15001</var><text>&#160;-&#160;1</text></line>
<line linenr="017" indent="&#160;&#160;"><var>$Range&#160;=&#160;</var><var>$Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Temp</var></line>
<line linenr="018" indent="&#160;"><text>end</text></line>
<line linenr="019" indent="&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="020" indent="&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Big&#160;Ship</var></line>
<line linenr="021" indent="&#160;&#160;&#160;"><var>$Do.Else&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>201</var><text>&#160;-&#160;1</text></line>
<line linenr="022" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Heavy&#160;Fighter&#160;M3</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"><var>$Do.Else&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>80</var><text>&#160;to&#160;</text><var>181</var><text>&#160;-&#160;1</text></line>
<line linenr="024" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Medium&#160;Fighter&#160;M4</var></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>$Do.Else&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>60</var><text>&#160;to&#160;</text><var>151</var><text>&#160;-&#160;1</text></line>
<line linenr="026" indent="&#160;&#160;"><text>else</text></line>
<line linenr="027" indent="&#160;&#160;&#160;"><var>$Do.Else&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>40</var><text>&#160;to&#160;</text><var>101</var><text>&#160;-&#160;1</text></line>
<line linenr="028" indent="&#160;&#160;"><text>end</text></line>
<line linenr="029" indent="&#160;"><var>else&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Light&#160;Fighter&#160;M5</var></line>
<line linenr="030" indent="&#160;&#160;"><var>$Do.Else&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>20</var><text>&#160;to&#160;</text><var>61</var><text>&#160;-&#160;1</text></line>
<line linenr="031" indent="&#160;"><var>else&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Medium&#160;Fighter&#160;M4</var></line>
<line linenr="032" indent="&#160;&#160;"><var>$Do.Else&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>40</var><text>&#160;to&#160;</text><var>81</var><text>&#160;-&#160;1</text></line>
<line linenr="033" indent="&#160;"><var>else&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Heavy&#160;Fighter&#160;M3</var></line>
<line linenr="034" indent="&#160;&#160;"><var>$Do.Else&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>60</var><text>&#160;to&#160;</text><var>81</var><text>&#160;-&#160;1</text></line>
<line linenr="035" indent="&#160;"><text>else</text></line>
<line linenr="036" indent="&#160;&#160;"><var>$Do.Else&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>60</var><text>&#160;to&#160;</text><var>101</var><text>&#160;-&#160;1</text></line>
<line linenr="037" indent="&#160;"><text>end</text></line>
<line linenr="038" indent="&#160;"><var>while&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="039" indent="&#160;&#160;"><text>dec&#160;</text><var>$Do.Else&#160;=&#160;</var></line>
<line linenr="040" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>12000</var><text>&#160;to&#160;</text><var>20001</var><text>&#160;-&#160;1</text></line>
<line linenr="041" indent="&#160;&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="042" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="043" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="044" interruptable="@" indent="&#160;&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Home</var><text>&#160;with&#160;precision&#160;</text><var>$Range</var><text>&#160;m&#160;:&#160;timeout=</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="045" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="046" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;get&#160;attacker</text></line>
<line linenr="047" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="048" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="049" indent="&#160;&#160;"><text>else</text></line>
<line linenr="050" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="051" indent="&#160;&#160;"><text>end</text></line>
<line linenr="052" indent="&#160;&#160;"><var>if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="053" indent="&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;get&#160;attacker</text></line>
<line linenr="054" indent="&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="055" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="056" indent="&#160;&#160;&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;find&#160;nearest&#160;enemy&#160;ship:&#160;max.dist=</text><var>50000</var></line>
<line linenr="057" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="058" indent="&#160;&#160;"><var>else&#160;if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="059" indent="&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;find&#160;nearest&#160;enemy&#160;ship:&#160;max.dist=</text><var>50000</var></line>
<line linenr="060" indent="&#160;&#160;"><text>else</text></line>
<line linenr="061" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="062" indent="&#160;&#160;"><text>end</text></line>
<line linenr="063" indent="&#160;&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="064" indent="&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;in&#160;same&#160;sector&#160;as&#160;</text><var>$Target</var></line>
<line linenr="065" indent="&#160;&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>null</var></line>
<line linenr="066" indent="&#160;&#160;&#160;"><var>else&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="067" indent="&#160;&#160;&#160;&#160;"><var>$Targ.Own&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="068" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Targ.Own</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Player</var></line>
<line linenr="069" indent="&#160;&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;is&#160;</text><var>$Target</var><text>&#160;a&#160;enemy</text></line>
<line linenr="070" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>null</var></line>
<line linenr="071" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="072" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="073" indent="&#160;&#160;"><text>end</text></line>
<line linenr="074" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Do.Else</var></line>
<line linenr="075" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="076" indent="&#160;"><text>end</text></line>
<line linenr="077" indent="&#160;"></line>
<line linenr="078" indent="&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="079" indent="&#160;&#160;"><var>$Targ.Own&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="080" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Targ.Own</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Player</var></line>
<line linenr="081" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>3000</var><text>&#160;to&#160;</text><var>6000</var><text>&#160;ms</text></line>
<line linenr="082" indent="&#160;&#160;"><var>while&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="083" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;sector&#160;</text><var>[SECTOR]</var></line>
<line linenr="084" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="085" indent="&#160;&#160;"><text>end</text></line>
<line linenr="086" indent="&#160;"><var>else&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="087" indent="&#160;&#160;"><var>while&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="088" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;sector&#160;</text><var>[SECTOR]</var></line>
<line linenr="089" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="090" indent="&#160;&#160;"><text>end</text></line>
<line linenr="091" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="092" indent="&#160;"><var>else&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="093" indent="&#160;&#160;"><var>$Size&#160;=&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="094" indent="&#160;&#160;"><var>$Range&#160;=&#160;</var><var>$Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>6000</var></line>
<line linenr="095" indent="&#160;&#160;"><var>while&#160;</var><var>$Home</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>[DOCKEDAT]</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$Home</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$Target</var></line>
<line linenr="096" interruptable="@" indent="&#160;&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Home</var><text>&#160;with&#160;precision&#160;</text><var>$Range</var><text>&#160;m&#160;:&#160;timeout=</text><var>20000</var><text>&#160;ms</text></line>
<line linenr="097" indent="&#160;&#160;&#160;"><var>$Target&#160;=&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;get&#160;attacker</text></line>
<line linenr="098" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$Target</var></line>
<line linenr="099" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;is&#160;docking&#160;possible&#160;of&#160;</text><var>[THIS]</var></line>
<line linenr="100" indent="&#160;&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="101" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;station&#160;</text><var>$Home</var></line>
<line linenr="102" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="103" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="104" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="105" indent="&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="106" indent="&#160;&#160;"><text>end</text></line>
<line linenr="107" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="108" indent="&#160;"><text>else</text></line>
<line linenr="109" indent="&#160;&#160;"><text>break</text></line>
<line linenr="110" indent="&#160;"><text>end</text></line>
<line linenr="111" indent="&#160;"></line>
<line linenr="112" indent="&#160;"><var>if&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="113" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><text>&#160;=&#160;random&#160;value&#160;from&#160;</text><var>12000</var><text>&#160;to&#160;</text><var>24000</var><text>&#160;-&#160;1</text></line>
<line linenr="114" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;around&#160;</text><var>$Temp</var><text>&#160;ms</text></line>
<line linenr="115" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="116" indent="&#160;"><text>end</text></line>
<line linenr="117" indent="&#160;"></line>
<line linenr="118" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'ddrs.maintarget'</var><text>&#160;value=</text><var>$Target</var></line>
<line linenr="119" indent="&#160;"><var>$Size&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="120" indent="&#160;"><var>$Range&#160;=&#160;</var><var>$Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>8000</var></line>
<line linenr="121" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;pirate&#160;cover&#160;state&#160;to&#160;</text><var>[FALSE]</var></line>
<line linenr="122" indent="&#160;"><var>skip&#160;if&#160;</var><var>$Targ.Own</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Player</var></line>
<line linenr="123" indent="&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;relation&#160;against&#160;</text><var>Player</var><text>&#160;to&#160;</text><var>Neutral</var></line>
<line linenr="124" indent="&#160;"><var>while&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="125" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;is&#160;in&#160;same&#160;sector&#160;as&#160;</text><var>$Target</var></line>
<line linenr="126" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="127" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="128" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="129" interruptable="@" indent="&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Target</var><text>&#160;with&#160;precision&#160;</text><var>$Range</var><text>&#160;m&#160;:&#160;timeout=</text><var>20000</var><text>&#160;ms</text></line>
<line linenr="130" indent="&#160;&#160;"><var>if&#160;</var><var>$Targ.Own</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Player</var></line>
<line linenr="131" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="132" indent="&#160;&#160;&#160;&#160;"><var>if&#160;not&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;is&#160;</text><var>$Target</var><text>&#160;a&#160;enemy</text></line>
<line linenr="133" indent="&#160;&#160;&#160;&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;relation&#160;against&#160;</text><var>Player</var><text>&#160;to&#160;</text><var>Neutral</var></line>
<line linenr="134" indent="&#160;&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="135" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="136" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="137" indent="&#160;&#160;"><text>end</text></line>
<line linenr="138" indent="&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var></line>
<line linenr="139" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>al.DDRS.Patrol.Engage</call><text>&#160;:&#160;</text><text>&#160;Enmy=</text><var>$Target</var></line>
<line linenr="140" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="141" indent="&#160;&#160;"><text>end</text></line>
<line linenr="142" indent="&#160;"><text>end</text></line>
<line linenr="143" indent="&#160;"><var>$Target&#160;=&#160;</var><var>null</var></line>
<line linenr="144" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;pirate&#160;cover&#160;state&#160;to&#160;</text><var>[TRUE]</var></line>
<line linenr="145" indent="&#160;"><var>skip&#160;if&#160;</var><var>$Targ.Own</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Player</var></line>
<line linenr="146" indent="&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;relation&#160;against&#160;</text><var>Player</var><text>&#160;to&#160;</text><var>Neutral</var></line>
<line linenr="147" indent="&#160;"></line>
<line linenr="148" indent="&#160;"><var>skip&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="149" indent="&#160;&#160;"><text>continue</text></line>
<line linenr="150" indent="&#160;"><var>$Size&#160;=&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;get&#160;size&#160;of&#160;object</text></line>
<line linenr="151" indent="&#160;"><var>$Range&#160;=&#160;</var><var>$Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$This.Size</var><text>&#160;</text><var>+</var><text>&#160;</text><var>6000</var></line>
<line linenr="152" indent="&#160;"><var>while&#160;</var><var>$Home</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>[DOCKEDAT]</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>$Home</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$Target</var></line>
<line linenr="153" interruptable="@" indent="&#160;&#160;"><var>$Ret&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;follow&#160;</text><var>$Home</var><text>&#160;with&#160;precision&#160;</text><var>$Range</var><text>&#160;m&#160;:&#160;timeout=</text><var>20000</var><text>&#160;ms</text></line>
<line linenr="154" indent="&#160;&#160;"><var>$Target&#160;=&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;get&#160;attacker</text></line>
<line linenr="155" indent="&#160;&#160;"><var>if&#160;</var><var>$Ret</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_TARGETREACHED</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$Target</var></line>
<line linenr="156" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;is&#160;docking&#160;possible&#160;of&#160;</text><var>[THIS]</var></line>
<line linenr="157" indent="&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="158" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;fly&#160;to&#160;station&#160;</text><var>$Home</var></line>
<line linenr="159" interruptable="@" indent="&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>500</var><text>&#160;ms</text></line>
<line linenr="160" indent="&#160;&#160;"><text>end</text></line>
<line linenr="161" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Home&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="162" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="163" indent="&#160;"><text>end</text></line>
<line linenr="164" indent="&#160;"></line>
<line linenr="165" indent=""><text>end</text></line>
<line linenr="166" interruptable="@" indent=""><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!ship.cmd.destory.std</call><text>&#160;:&#160;</text></line>
<line linenr="167" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="al.DDRS.Missions.RB.Patr" /><sval type="int" val="30" /><sval type="string" val="Patrol Base" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="array" size="9"><sval type="string" val="Home" /><sval type="string" val="This.Size" /><sval type="string" val="Temp" /><sval type="string" val="Size" /><sval type="string" val="Range" /><sval type="string" val="Do.Else" /><sval type="string" val="Target" /><sval type="string" val="Ret" /><sval type="string" val="Targ.Own" /></sval><sval type="array" size="152"><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-536870393" /><sval type="int" val="12" /><sval type="int" val="2134" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="524" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="18" /><sval type="int" val="15" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="101" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610610173" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="27" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610610167" /></sval><sval type="array" size="6"><sval type="int" val="502" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="6" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610574327" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610608893" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="8000" /><sval type="int" val="4" /><sval type="int" val="15001" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610605821" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610607869" /><sval type="int" val="12" /><sval type="int" val="2073" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="201" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610607099" /><sval type="int" val="12" /><sval type="int" val="2023" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="80" /><sval type="int" val="4" /><sval type="int" val="181" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610606331" /><sval type="int" val="12" /><sval type="int" val="2024" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="60" /><sval type="int" val="4" /><sval type="int" val="151" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="40" /><sval type="int" val="4" /><sval type="int" val="101" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610605051" /><sval type="int" val="12" /><sval type="int" val="2025" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="20" /><sval type="int" val="4" /><sval type="int" val="61" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610604283" /><sval type="int" val="12" /><sval type="int" val="2024" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="40" /><sval type="int" val="4" /><sval type="int" val="81" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610603515" /><sval type="int" val="12" /><sval type="int" val="2023" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="60" /><sval type="int" val="4" /><sval type="int" val="81" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="60" /><sval type="int" val="4" /><sval type="int" val="101" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-536852470" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="5" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="12000" /><sval type="int" val="4" /><sval type="int" val="20001" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610601725" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="50" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610600187" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600445" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="736" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536858617" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="50" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610598397" /></sval><sval type="array" size="4"><sval type="int" val="736" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-536856828" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-536856825" /></sval><sval type="array" size="6"><sval type="int" val="503" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="50000" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="60" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-536855802" /></sval><sval type="array" size="6"><sval type="int" val="503" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="50000" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="60" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="72" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-1610595069" /></sval><sval type="array" size="6"><sval type="int" val="733" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-536854524" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="69" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610595067" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610595069" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="727" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536853241" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536852729" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="72" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-1610591997" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536851449" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="3000" /><sval type="int" val="4" /><sval type="int" val="6000" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610592247" /></sval><sval type="array" size="6"><sval type="int" val="502" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="76" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="105" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610590203" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-1610590711" /></sval><sval type="array" size="6"><sval type="int" val="502" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="82" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="105" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610586107" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="3" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="6000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="28"><sval type="int" val="104" /><sval type="int" val="-1610586615" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="8" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="1" /><sval type="int" val="-3" /><sval type="int" val="9" /><sval type="int" val="65556" /><sval type="int" val="-6" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="20000" /></sval><sval type="array" size="4"><sval type="int" val="736" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="6" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-1610587389" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="6" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="65556" /><sval type="int" val="-4" /></sval><sval type="array" size="6"><sval type="int" val="746" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536846073" /><sval type="int" val="131075" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="102" /></sval><sval type="array" size="6"><sval type="int" val="501" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536845049" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="102" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="91" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="105" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="150" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-536843004" /></sval><sval type="array" size="6"><sval type="int" val="110" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="12000" /><sval type="int" val="4" /><sval type="int" val="24000" /></sval><sval type="array" size="6"><sval type="int" val="507" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="ddrs.maintarget" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="3" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="8000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="5"><sval type="int" val="1098" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536841465" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="744" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="14" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-1610579447" /></sval><sval type="array" size="6"><sval type="int" val="733" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-536840697" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="130" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-1610582008" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="130" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="20000" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610580477" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610580477" /></sval><sval type="array" size="6"><sval type="int" val="727" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536838652" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="7"><sval type="int" val="744" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="14" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="130" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610579709" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="al.DDRS.Patrol.Engage" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="115" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="1098" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536836601" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="744" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="10" /><sval type="int" val="14" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536836089" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="4"><sval type="int" val="780" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="3" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="6000" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="28"><sval type="int" val="104" /><sval type="int" val="-1610574583" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="8" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="1" /><sval type="int" val="-3" /><sval type="int" val="9" /><sval type="int" val="65556" /><sval type="int" val="-6" /></sval><sval type="array" size="10"><sval type="int" val="563" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="20000" /></sval><sval type="array" size="4"><sval type="int" val="736" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="6" /></sval><sval type="array" size="22"><sval type="int" val="104" /><sval type="int" val="-1610575357" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="19" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="6" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="65556" /><sval type="int" val="-4" /></sval><sval type="array" size="6"><sval type="int" val="746" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536834041" /><sval type="int" val="131075" /><sval type="int" val="1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="149" /></sval><sval type="array" size="6"><sval type="int" val="501" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536833017" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="149" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="138" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="!ship.cmd.destory.std" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="12" /><sval type="string" val="Home" /></sval></sval><sval type="array" size="52"><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="48" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="50" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="59" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="60" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="60" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="69" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="69" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="69" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="71" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="72" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="72" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="80" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="86" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="87" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="97" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="99" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="102" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="103" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="104" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="105" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="105" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="105" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="109" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="109" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="109" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="118" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="120" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="126" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="126" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="126" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="126" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="129" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="130" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="134" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="136" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="144" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="146" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="148" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="149" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="149" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="150" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
